Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezuser/admin/userlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $errorIni = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/userlist.php.ini", false )
| $Max = $ini->variable( "eZUserMain", "MaxUserList" )
| $t
| $user = new eZUser()
| $OrderBy = "name"
| $LastName = addslashes(trim($LastName))
| $FirstName = addslashes(trim($FirstName))
| $Login = addslashes(trim($Login))
| $EMail = addslashes(trim($EMail))
| $SearchText = addslashes (trim ($SearchText) )
if(isset( $Search) && $SearchText !="") else if( $FirstName !="" or $LastName !="" or $Login !="" or $EMail !="") else if( $GroupID==0) | else
| $userList = $usergroup->users( $GroupID, $OrderBy )
| $TotalTypes = count( $userList )
| $group = new eZUserGroup()
| $groupList = $group->getAll()

## Variable Documentation

## ◆ $EMail

$EMail = addslashes(trim($EMail))

Definition at line 77 of file ezuser/admin/userlist.php.

Referenced by eZUser\search().

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/userlist.php.ini", false )

Definition at line 33 of file ezuser/admin/userlist.php.

## ◆ $FirstName

$FirstName = addslashes(trim($FirstName))

Definition at line 75 of file ezuser/admin/userlist.php.

## ◆ $group

$group = new eZUserGroup()

Definition at line 160 of file ezuser/admin/userlist.php.

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 161 of file ezuser/admin/userlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file ezuser/admin/userlist.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 32 of file ezuser/admin/userlist.php.

## ◆ $LastName

$LastName = addslashes(trim($LastName))

Definition at line 74 of file ezuser/admin/userlist.php.

## ◆ $Login

$Login = addslashes(trim($Login))

Definition at line 76 of file ezuser/admin/userlist.php.

## ◆ $Max

$Max = $ini->variable( "eZUserMain", "MaxUserList" )

Definition at line 35 of file ezuser/admin/userlist.php.

## ◆ $OrderBy

$OrderBy = "name"

Definition at line 59 of file ezuser/admin/userlist.php.

## ◆ $SearchText

$SearchText = addslashes (trim ($SearchText) )

Definition at line 78 of file ezuser/admin/userlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "AdminTemplateDir" ),
"kernel/ezuser/admin/" . "/intl", $Language, "userlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezuser/admin/userlist.php:32
$ini
$ini
Definition: ezuser/admin/userlist.php:31

Definition at line 42 of file ezuser/admin/userlist.php.

## ◆ $TotalTypes

$TotalTypes = count( $userList )

Definition at line 108 of file ezuser/admin/userlist.php.

## ◆ $user

$user = new eZUser()

Definition at line 57 of file ezuser/admin/userlist.php.

## ◆ $userList

$userList = $usergroup->users( $GroupID, $OrderBy )

Definition at line 107 of file ezuser/admin/userlist.php.

## ◆ else

if (count($userList)==0) else

Initial value:
{
$usergroup = new eZUserGroup()
eZUserGroup
Definition: ezusergroup.php:66

Definition at line 104 of file ezuser/admin/userlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.